%global python3_pkgversion 38
%bcond_without tests

%global srcname platformdirs
%global common_description %{expand:
A small Python module for determining appropriate platform-specific dirs, e.g.
a "user data dir".}

Name:           python%{python3_pkgversion}-%{srcname}-epel
Version:        2.5.1
Release:        1%{?dist}
Summary:        Python module for determining appropriate platform-specific dirs
License:        MIT
URL:            https://github.com/platformdirs/platformdirs
Source0:        %pypi_source
BuildArch:      noarch


%description %{common_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  %{py3_dist setuptools}
%if %{with tests}
BuildRequires:  %{py3_dist appdirs}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist pytest-mock}
%endif
# RHBZ#1712140, RHBZ#2076994
BuildRequires:  pyproject-rpm-macros >= 1.2.0


%description -n python%{python3_pkgversion}-%{srcname} %{common_description}


%prep
%autosetup -n %{srcname}-%{version}

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i '/^[[:blank:]]*"pytest-cov\b/d' pyproject.toml


%{?pyproject_buildrequires:
%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x test}}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%check
%if %{with tests}
# Upstream uses tox, but we don’t use it, to avoid a build dependency loop
# platformdirs <- virtualenv <- tox
%pytest
%else
%pyproject_check_import
%endif


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.rst


%changelog
* Tue Mar 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.5.1-1
- Update to 2.5.1 (close RHBZ#2007878)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Dec 04 2021 Carl George <carl@george.computer> - 2.3.0-3
- Use "test" extra to generate buildrequires
- Run tests with %%pytest

* Tue Oct 26 2021 Miro Hrončok <mhroncok@redhat.com> - 2.3.0-2
- Don't use tox during the build to avoid a build dependency loop

* Mon Aug 30 2021 Carl George <carl@george.computer> - 2.3.0-1
- Latest upstream
- Resolves: rhbz#1999337

* Sun Aug 01 2021 Carl George <carl@george.computer> - 2.2.0-1
- Latest upstream
- Resolves: rhbz#1985567

* Fri Jul 23 2021 Miro Hrončok <mhroncok@redhat.com> - 2.0.0-3
- Let %%pyproject_buildrequires know we need appdirs

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jul 12 2021 Carl George <carl@george.computer> - 2.0.0-1
- Initial package rhbz#1981607
